manage_sandbox
POST
/v1/sessions/{session_id}/sandbox
const url = 'https://app.everruns.com/api/v1/sessions/example/sandbox';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"action":"pause"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/sessions/example/sandbox \ --header 'Content-Type: application/json' \ --data '{ "action": "pause" }'Manage the session sandbox lifecycle (start, stop, reset).
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” session_id
required
string
Session ID
Request Body required
Section titled “Request Body required ” Media type application/json
Request body for the manage_session_sandbox operation.
object
action
required
Action to take on the sandbox (reset, delete, etc.).
string
Responses
Section titled “ Responses ”Managed sandbox lifecycle updated
Media type application/json
Response body for the manage_session_sandbox operation.
object
action
required
Action that was taken.
string
deleted
required
Whether the action deleted the sandbox (true after a successful delete).
boolean
display_name
Human-readable sandbox label.
string | null
exists
required
Whether a sandbox instance still exists after the action.
boolean
external_id
Provider-side sandbox identifier.
string | null
provider
Sandbox provider (daytona, e2b, docker, etc.).
string | null
workspace_path
Absolute path of the sandbox workspace root.
string | null
Example
{ "action": "pause", "session_status": "running"}Invalid action or sandbox not configured
Session not found